commit: b43e652e6a9290ab59e04f47aed3159f86aec2bc
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 30 06:51:56 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Apr 30 07:34:53 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b43e652e
dev-python/jaraco-envs: Bump to 2.4.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/jaraco-envs/Manifest | 1 +
dev-python/jaraco-envs/jaraco-envs-2.4.0.ebuild | 35 +++++++++++++++++++++++++
2 files changed, 36 insertions(+)
diff --git a/dev-python/jaraco-envs/Manifest b/dev-python/jaraco-envs/Manifest
index 3fed58bb955c..1466a3789e7a 100644
--- a/dev-python/jaraco-envs/Manifest
+++ b/dev-python/jaraco-envs/Manifest
@@ -1 +1,2 @@
DIST jaraco.envs-2.3.0.tar.gz 6939 BLAKE2B
6cbdc2dff26d29c6985175851072278cdec1f4811ef609017870d133547ab69f3e98e6cf09bf6f9770b2cadd62281b806ddbd6d1cab3f5793ec185aa019edd8f
SHA512
c0f1e8e515d18d1f5c181c1072fe72b3f99ad06971ec420e3aae6631daa734e0fef05e720cb7770e37de07d65c02578f9be916354d0507761a5fde749c7cb643
+DIST jaraco.envs-2.4.0.tar.gz 7101 BLAKE2B
0858732706a71ac359b97c0a841c5370f35011968ee76364a06aa67231992bd04e200362d245c3fe8d035b7018be15bdc4117a76e86ac35bb0fff8958af9a0f6
SHA512
d4da2a3f8ec9add63a0b2f754523da5b6593d869537e38c33ea86e59105c4be0cea15546897d70b869cf81be709d9b3fa2cfa35bbefcb9ab32a373ea620553aa
diff --git a/dev-python/jaraco-envs/jaraco-envs-2.4.0.ebuild
b/dev-python/jaraco-envs/jaraco-envs-2.4.0.ebuild
new file mode 100644
index 000000000000..3d1ea804676d
--- /dev/null
+++ b/dev-python/jaraco-envs/jaraco-envs-2.4.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+
+inherit distutils-r1
+
+MY_P=${P/-/.}
+DESCRIPTION="Classes for orchestrating Python (virtual) environments"
+HOMEPAGE="https://github.com/jaraco/jaraco.envs"
+SRC_URI="mirror://pypi/${MY_P::1}/${PN/-/.}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390
~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ dev-python/path-py[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+"
+
+# there are no actual tests, just flake8 etc
+RESTRICT="test"
+
+src_prepare() {
+ # optional runtime dep, not used by anything in ::gentoo
+ sed -i -e '/tox/d' setup.cfg || die
+ distutils-r1_src_prepare
+}